Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# TQObjectListIterator Class Reference

The TQObjectListIterator class provides an iterator for TQObjectLists. More...

`#include <ntqobjectlist.h>`

Inherits TQPtrListIterator<TQObject>.

List of all member functions.

## Public Members

- TQObjectListIterator ( const TQObjectList & list )
- TQObjectListIterator & operator= ( const TQObjectListIterator & it )

## Detailed Description

The TQObjectListIterator class provides an iterator for TQObjectLists.

A TQObjectListIterator iterator is a TQPtrListIterator<TQObject>.

See TQObject::queryList() for an example of use.

See also TQObjectList, Collection Classes, and Non-GUI Classes.

## Member Function Documentation

### TQObjectListIterator::TQObjectListIterator ( const TQObjectList & list )

Constructs an iterator for list. The current iterator item is set to point on the first item in the list.

### TQObjectListIterator & TQObjectListIterator::operator= ( const TQObjectListIterator & it )

Assignment. Makes a copy of the iterator it and returns a reference to this iterator.

This file is part of the TQt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.